For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
        • GETGet all properties
        • POSTCreate property
        • GETGet a property by ID
        • PUTUpdate property
        • GETGet all rentable items
        • GETGet rentable item by ID
        • GETGet all property lists
        • GETGet a property list by ID
        • GETGet all address types
        • GETGet address type by ID
    • CRM Generic APIs
    • PMS APIs
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
PMS Generic APIsProperties

Get address type by ID

GET
/v1/address-types/:address_type_id
GET
/v1/address-types/:address_type_id
$curl https://api.propexo.com/v1/address-types/address_type_id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": {
12 "id": "a1b2c3d4-e5f6-7890-ab12-cd34ef567890",
13 "created_at": "2023-11-15T09:30:00Z",
14 "updated_at": "2024-05-20T16:45:00Z",
15 "last_seen": "2024-06-01T12:00:00Z",
16 "x_id": "EXT-ADDR-12345",
17 "x_property_id": "EXT-PROP-67890",
18 "x_location_id": null,
19 "name": "Billing Address",
20 "description": "Primary billing address for tenant correspondence",
21 "integration_id": "int-987654321",
22 "integration_vendor": "APPFOLIO",
23 "property_id": "prop-123456789"
24 }
25}
Get address type by ID
Was this page helpful?
Previous

Get all purchase orders

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

address_type_idstringRequired
The ID of the resource.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query

Response

Successful response
metaobject
resultsobject

Errors

400
Bad Request Error